<?php

	session_start();
	
	$_SESSION['database']="local";
	
	if($_SESSION['database']=="local")
	  {
	     $db_host    = "localhost";
	     $db_user   = "root";
	     $db_pass   = "";
     	     $db_name   = "boutique";

	 }
	
	if($_SESSION['database']=="public")
	  {
  	     $db_host    = "sql2";
   	     $db_user   = "analogde";
 	     $db_pass   = "rainbow";
    	     //$db_type   = "mysql";
	     $db_name   = "analogde";
	 }

	 $connexion = mysql_connect($db_host,$db_user,$db_pass); 
	 mysql_select_db($db_name, $connexion);

	 $id = $_GET['id'];
	 $table= $_GET['table'];
 
	 $sql = "SELECT * FROM $table WHERE id_catalogue = '".$id."' ";
 	 $requete = mysql_query( $sql, $connexion ) or die('Erreur SQL !<br>'.$sql.'<br>'.mysql_error()); 
	 $result = mysql_fetch_assoc($requete);

	 $motif_filtre = '(*)';
	 $motif_titre = 'TITRE';
	 $motif_underscore = '_';
	 $remplacement = "";
 	 $espace = " ";

	 // decoupe en sous element
 	 $morceau = explode(",", $result['descriptif']);

		for($i=0; $i<=count($morceau)-1; $i++)
		  {   // il s'agit d'un titre
		      if( preg_match('/TITRE/',$morceau[$i]))
		        {  $tab = str_replace($motif_titre, $remplacement, $morceau[$i]); 
			   $extraire = explode("&", $tab);
			   $str = strtoupper($extraire[0]);	
			   
			   $ch1 = "<tr>";
			   $ch2 = "<td colspan=\"2\" class=\"ProdSection\" height=\"25\">";
			   $ch3 = "<img src=\"../images/ProdSection.gif\" alt=\"\" width=\"10\" height=\"10\"> $str</td>";
			   $ch4 = "</tr>";
			   $chaine = $chaine .$ch1 .$ch2 .$ch3 .$ch4 ;  
		        }	
		      
		      
		       else{ // il s'agit d'une ligne de description
		       	     	$extraire = explode("&", $morceau[$i]);
		       	     	// supprimer les _ pour les champs de types filtre qui en ont un ou plusieurs*/
		       	     	if(preg_match('`\*`', $extraire[0]))
			          {  $str = str_replace($motif_filtre, $remplacement, $extraire[0]); 
			             echo $str;
			             echo "<br>";
			    	     if(preg_match('`\_`', $str))
			      		{ $str = str_replace($motif_underscore, $espace, $str);
			      		  echo $str;
			             	  echo "<br>";
			                }	
			             $extraire[0] = $str;   
			             //echo $str;
			             //echo "<br>";
		  	          }
		       	     	
		       	     
		       	     	if($i%2 ==0)
		       	       	  { // paire;
		       		    $ch1 = "<tr class=\"Prodfield1\">";	
		                  }
	    
		   	    	 else  { // impair;
				  	$ch1 = "<tr class=\"Prodfield2\">";
		                       }

						$ch2 = "<td width=\"3%\" nowrap=\"nowrap\"><strong>$extraire[0]</strong></td> ";
						$ch3 = "<td width=\"97%\"><i>$extraire[1]</i>";	
						$ch4 = "</td>";
						$ch5 = "</tr>";
						$chaine = $chaine .$ch1 .$ch2 .$ch3 .$ch4 .$ch5 ; 
		           
		           }

		      }
 			
 			
 			$_SESSION['fichier_image'] ;
 			

			$fichier01 = 'p1.php';
			$fichier02 = 'p2.php';
			
			$page_produit = $id .".php";

			// ouvrir fichier pour lire un contenu existant
			$current01 = file_get_contents($fichier01);
			$current02 = file_get_contents($fichier02);

			$concatenation = $current01 ."\r\n" .$chaine ."\r\n" .$current02;

			//file_put_contents($fichier01, $concatenation);
			file_put_contents($page_produit, $concatenation);
			
			
			
			
			
			
			

?>


